SUSE SLED12 Security Update : compat-openssl098 (SUSE-SU-2015:1150-1) (Logjam)

Medium Nessus Plugin ID 84442


The remote SUSE host is missing one or more security updates.


This update fixes the following security issues :

- CVE-2015-4000 (boo#931698)

- The Logjam Attack /

- reject connections with DH parameters shorter than 1024 bits

- generates 2048-bit DH parameters by default

- CVE-2015-1788 (boo#934487)

- Malformed ECParameters causes infinite loop

- CVE-2015-1789 (boo#934489)

- Exploitable out-of-bounds read in X509_cmp_time

- CVE-2015-1790 (boo#934491)

- PKCS7 crash with missing EnvelopedContent

- CVE-2015-1792 (boo#934493)

- CMS verify infinite loop with unknown hash function

- CVE-2015-1791 (boo#933911)

- race condition in NewSessionTicket

- CVE-2015-3216 (boo#933898)

- Crash in ssleay_rand_bytes due to locking regression

- modified openssl-1.0.1i-fipslocking.patch

- fix timing side channel in RSA decryption (bnc#929678)

- add ECC ciphersuites to DEFAULT (bnc#879179)

- Disable EXPORT ciphers by default (bnc#931698, comment #3)

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Module for Legacy Software 12 :

zypper in -t patch SUSE-SLE-Module-Legacy-12-2015-285=1

SUSE Linux Enterprise Desktop 12 :

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-285=1

To bring your system up-to-date, use 'zypper patch'.

See Also

Plugin Details

Severity: Medium

ID: 84442

File Name: suse_SU-2015-1150-1.nasl

Version: $Revision: 2.11 $

Type: local

Agent: unix

Published: 2015/06/29

Modified: 2016/12/27

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C


Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:compat-openssl098-debugsource, p-cpe:/a:novell:suse_linux:libopenssl0_9_8, p-cpe:/a:novell:suse_linux:libopenssl0_9_8-debuginfo, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/06/17

Reference Information

CVE: CVE-2015-1788, CVE-2015-1789, CVE-2015-1790, CVE-2015-1791, CVE-2015-1792, CVE-2015-3216, CVE-2015-4000

BID: 74733, 75154, 75156, 75157, 75158, 75161, 75219

OSVDB: 122331, 122875, 123006, 123172, 123173, 123174, 123175